Subject: RE: [Simple] publishing presence state - sip and pres uris

From: <[email-masked]>
Date: Thu, 25 May 2006 09:41:17 +0200

>-----Original Message-----
>From: Jonathan Rosenberg [mailto:[email-masked]]
>Sent: Monday, May 01, 2006 9:21 PM
>To: Peknik Silvestr
>Cc: [email-masked]
>Subject: Re: [Simple] publishing presence state - sip and pres uris
>
>This can happen, yes. The presence data model draft (out shortly as an
>RFC) does say you shouldn't do this - that the URI in the SUBSCRIBE or
>PUBLISH should match that in the document.

What is the relation between To header and r-URI? Currently it seems to
me that the client should set both to the same value, but r-URI can be
changed by proxies. If this is the case, why not to use To header
instead of r-URI for identifying the target of the request? And if the
r-URI can not be changed, what is the purpose of To header?

>
>That said, the presence server should know that the pres and sip URI
are
>equivalent, and thus even though the R-uri identifies the SIP URI, the
>document should be applied to the presentity URI sip:[email-masked]
as
>well. Consequently, a SUBSCRIBE request for sip:[email-masked] would
>return a presence document whose entity attribute is
sip:[email-masked].

I guess there is typo - it should say:
...applied to the presentity URI pres:[email-masked] as well...
Am I right?

Thank you, 
Silvestr Peknik

>
>Thanks,
>Jonathan R.
>
>[email-masked] wrote:
>
>> Hello,
>>
>> I am not sure how presence server should handle PUBLISH requests, if
they
>have sip uri in To: header and pres uri in entity attribute in the
presence
>document:
>>
>> PUBLISH ...
>> To: sip:[email-masked]
>> ...
>>
>> <presence ... entity="pres:[email-masked]">
>> ...
>>
>>
>> It seems that client should not create such requests (why use pres
uri,
>if it knows sip uri?) but I think that it can happen thanks to RFC3863
>(pidf) which mentions only pres uri to be inserted to the entity
parameter.
>> Could someone explain what is the correct behavior here? Is it
possible
>to have different uri's in To header and in the entity attribute?
>>
>> Thank you,
>>
>> Silvestr Peknik
>> Software Specialist
>>
>> TietoEnator
>> Czech Software Center
>> Phone +420 599 096 027
>> Fax +420 599 096 110
>> E-mail [email-masked]
>>
>> Vystavni 292/13
>> CZ-709 16 Ostrava
>>
>> www.tietoenator.com
>>
>>
>>
>> _______________________________________________
>> Simple mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/simple
>>
>
>--
>Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
>Cisco Fellow                                   Parsippany, NJ
07054-2711
>Cisco Systems
>[email-masked]                              FAX:   (973) 952-5050
>http://www.jdrosen.net                         PHONE: (973) 952-5000
>http://www.cisco.com

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple